import type { WaferMap } from '..';
/**
 * Responsible for drawing the dies inside the wafer map, adding dieText and scaling the canvas
 */
export declare class RenderingModule {
    private readonly wafermap;
    private dies;
    private readonly minDieDim;
    constructor(wafermap: WaferMap);
    updateSortedDiesAndDrawWafer(): void;
    drawWafer(): void;
    renderHover(): void;
    private calculateHoverTransform;
    private renderDies;
    private renderText;
    private clearCanvas;
    private scaleCanvas;
    private isDieVisible;
}
